import type { HeaderEntry } from './navigation'
import type { MediaEntryTag } from '../content/entryTag'
import type { RouteCollection } from './routing'
import type { SiteThemeList } from './themes'
import type { WarningModal } from './warnings'

/**
 * Defines global values for the site.
 */
export type SiteGlobals = {
  routes: RouteCollection
  header: HeaderEntry[]
  id: string
  stylesheetUrls: string[]
  themes: SiteThemeList
  tags?: string | MediaEntryTag[]
  warning: WarningModal
}
