/**
 * Defines a tag used by entries in a gallery-list/article-list,
 * used for filtering entries from view
 */
export type MediaEntryTag = {
  /**
   * specifies the id for the tag
   */
  tagId: string
  /**
   * specifies a category that the tag belongs to
   * in order to optionally organize them in the view;
   * if category is not specified, tags will be assigned
   * "NoCategory" and organized into a section without a heading
   * placed before any other sections formed by categories (if any)
   */
  category?: string
  /**
   * can be used to describe a tag when hovering over it in the UI
   */
  description?: string
  /**
   * specifies the name that the tag will appear as in the DOM;
   * if not specified, the id of the tag will be used in its place
   */
  displayName?: string
}
